.black-overlay {
  position: relative;
}
.black-overlay::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(100, 93, 94, 0.7); /* #645D5E with 0.7 opacity */
  z-index: 1; /* Ensure the overlay is above the background but below the content */
  pointer-events: none; /* Ensure the overlay does not interfere with content interaction */
}

.curved-section--red {
  background-color: #c00;
  position: relative;
  padding: 2em;
}
.curved-section--red::before {
  content: "";
  position: absolute;
  top: -50px;
  left: 0;
  width: 100%;
  height: 150px;
  background-color: #c00;
  clip-path: ellipse(70% 100% at 50% 0%);
  transform: rotate(180deg);
}
.curved-section--blue {
  background-color: #00f;
  position: relative;
  padding: 2em;
}
.curved-section--blue::before {
  content: "";
  position: absolute;
  top: -50px;
  left: 0;
  width: 100%;
  height: 200px;
  background-color: #00f;
  clip-path: ellipse(80% 100% at 50% 0%);
  transform: rotate(180deg);
}
.curved-section--white {
  background-color: #fff;
  position: relative;
  padding: 2em;
}
.curved-section--white::before {
  content: "";
  position: absolute;
  top: -50px;
  left: 0;
  width: 100%;
  height: 120px;
  background-color: #fff;
  clip-path: ellipse(70% 100% at 50% 0%);
  transform: rotate(180deg);
}
.curved-section__title {
  text-align: center;
  margin: 0;
  padding: 1em 0;
}

@media screen and (max-width: 768px) {
  .tab-content {
    opacity: 0;
    transition: opacity 0.3s ease;
    display: none;
  }
  .tab-content.active {
    display: block;
    opacity: 1;
  }
  .tabs button {
    cursor: pointer;
  }
  .tabs button.active {
    font-weight: 600;
  }
}
.contact__fv {
  margin-bottom: 50px;
}
@media screen and (max-width: 768px) {
  .contact__fv {
    margin-bottom: 91px;
  }
}
.contact__fv .progress {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  max-width: 638px;
  margin: 0 auto;
  position: relative;
  margin-bottom: 69px;
}
.contact__fv .progress--step {
  display: flex;
  align-items: center;
  position: relative;
  flex: 1;
  justify-content: center;
}
.contact__fv .progress--step:not(:last-child)::after {
  content: "";
  height: 2px;
  width: 100%;
  background-color: rgba(230, 0, 0, 0.3);
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
}
.contact__fv .progress--step .circle {
  width: 86px;
  height: 86px;
  border-radius: 50%;
  position: relative;
  z-index: 2;
  font-size: 20px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #FFFFFF;
}
.contact__fv .progress--step .circle::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 50%;
  background-color: #FFFFFF;
  z-index: -2;
}
.contact__fv .progress--step .circle::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 50%;
  background-color: rgba(230, 0, 0, 0.3);
  z-index: -1;
}
@media screen and (max-width: 768px) {
  .contact__fv .progress--step .circle {
    width: 68px;
    height: 68px;
    font-size: 15px;
  }
}
.contact__fv .progress--step.active .circle::after {
  background-color: #E60000;
}
.contact__fv--ttl {
  font-size: 38px;
  font-weight: bold;
  margin-bottom: 39px;
  text-align: center;
}
@media screen and (max-width: 768px) {
  .contact__fv--ttl {
    font-size: 27px;
  }
}
.contact__fv--thanks {
  font-size: 15px;
  text-align: center;
  line-height: 2.4;
  letter-spacing: 0.02rem;
}
@media screen and (max-width: 768px) {
  .contact__fv--thanks {
    line-height: 1.8;
  }
}
.contact__fv--txt {
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  line-height: 2.4;
  letter-spacing: 0.02rem;
}
@media screen and (max-width: 768px) {
  .contact__fv--txt {
    text-align: left;
    line-height: 1.8;
  }
}

.view-more-content .button__text {
  border: none;
  background: none;
}

.contact__form .contact-form {
  margin-bottom: 50px;
}
.contact__form .contact-form__group {
  display: grid;
  grid-template-columns: 270px 1fr;
  gap: 10%;
  margin-bottom: 50px;
  align-items: center;
}
.contact__form .contact-form__group:last-child {
  margin-bottom: 0;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__group {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    gap: 21px;
    margin-bottom: 34px;
  }
}
.contact__form .contact-form__group--baseline {
  align-items: baseline;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__group--adress {
    gap: 0;
  }
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__group--adress .contact-form__label {
    margin-bottom: 21px;
  }
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__group--adress .contact-form__fields {
    display: block;
  }
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__group--adress .contact-form__input {
    margin-bottom: 12px;
  }
}
.contact__form .contact-form__label {
  font-size: 20px;
  font-weight: bold;
  color: #CE040E;
  display: flex;
  align-items: center;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__label {
    font-size: 18px;
  }
}
.contact__form .contact-form__label .required {
  background-color: #CE040E;
  color: #fff;
  font-size: 12px;
  font-weight: bold;
  padding: 4px 9px;
  margin-left: 24px;
}
.contact__form .contact-form__buttons {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 16px;
  column-gap: 10px;
}
@media screen and (max-width: 1024px) {
  .contact__form .contact-form__buttons {
    grid-template-columns: repeat(2, 1fr);
    row-gap: 12px;
  }
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__buttons {
    column-gap: 5px;
  }
}
.contact__form .contact-form__buttons .form__button-input {
  display: none;
}
.contact__form .contact-form__buttons .form__button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 17px 20px;
  line-height: 1;
  border: 1px solid #CE040E;
  border-radius: 50px;
  font-size: 16px;
  font-weight: bold;
  color: #CE040E;
  background-color: transparent;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
}
.contact__form .contact-form__buttons .form__button:hover {
  background-color: #CE040E;
  color: #FFFFFF;
}
@media screen and (max-width: 1024px) {
  .contact__form .contact-form__buttons .form__button {
    font-size: 14px;
    padding: 13px;
  }
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__buttons .form__button {
    font-size: 13px;
    padding: 13px 10px;
  }
}
.contact__form .contact-form__buttons .form__button-input:checked + .form__button {
  background-color: #CE040E;
  color: #FFFFFF;
  border-color: #CE040E;
}
.contact__form .contact-form__fields {
  display: flex;
  gap: 16px;
  flex-wrap: nowrap;
  width: 100%;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__fields {
    gap: 10px;
  }
}
.contact__form .contact-form__fields--select {
  position: relative;
  width: 50%;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__fields--select {
    width: 100%;
  }
}
.contact__form .contact-form__input {
  width: 50%;
  padding: 20px;
  border: none;
  border-radius: 10px;
  background-color: #FCE8E8;
  font-size: 16px;
  color: #CE040E;
}
.contact__form .contact-form__input::placeholder {
  color: rgba(206, 4, 14, 0.3);
  opacity: 1;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__input {
    width: 100%;
    padding: 15px 20px;
  }
}
.contact__form .contact-form__input--select {
  appearance: none;
  width: 100%;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__input--select {
    width: 100%;
  }
}
.contact__form .contact-form__input--select-icon {
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-40%);
  pointer-events: none;
}
.contact__form .contact-form__input--select-icon .fa-angle-down {
  color: #CE040E;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__input--select-icon {
    right: 6%;
    transform: translateY(-65%);
  }
}
.contact__form .contact-form #building {
  width: 100%;
}
.contact__form .contact-form__textarea {
  width: 100%;
  padding: 20px;
  border: none;
  border-radius: 10px;
  background-color: #FCE8E8;
  font-size: 16px;
  height: 436px;
  resize: vertical;
  color: #CE040E;
}
@media screen and (max-width: 768px) {
  .contact__form .contact-form__textarea {
    height: 294px;
  }
}
.contact__form .form__agreement {
  text-align: center;
}
.contact__form .form__agreement .form__checkbox {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 25px;
  font-size: 16px;
  font-weight: bold;
}
.contact__form .form__agreement .form__checkbox-input {
  width: 20px;
  height: 20px;
  border: 1px solid #CE040E;
  appearance: none;
  cursor: pointer;
  margin-right: 9px;
  position: relative;
  background-color: #FFFFFF;
}
.contact__form .form__agreement .form__checkbox-input:checked::before {
  content: "\f00c";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 16px;
  color: #CE040E;
}
.contact__form .form__agreement .form__privacy-link {
  display: block;
  align-items: center;
  font-size: 15px;
  font-weight: bold;
  text-decoration: none;
}
.contact__form .form__agreement .form__privacy-link i {
  margin-left: 5px;
}
.contact__form .form__agreement .form__privacy-link:hover {
  color: #CE040E;
}

.confirm {
  max-width: 904px;
  margin: 0 auto;
}
.confirm__group {
  display: grid;
  grid-template-columns: 200px 1fr;
  gap: 116px;
  align-items: center;
  padding-bottom: 16px;
  border-bottom: 1px solid #CE040E;
  margin-bottom: 40px;
}
@media screen and (max-width: 768px) {
  .confirm__group {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    gap: 10px;
  }
}
.confirm__group:last-child {
  border-bottom: none;
}
.confirm__label {
  font-size: 20px;
  font-weight: bold;
  color: #CE040E;
}
.confirm__value {
  font-size: 16px;
  font-weight: bold;
  word-wrap: break-word;
}
.confirm__value--textarea {
  text-align: justify;
  overflow: hidden;
  white-space: pre-wrap;
  font-size: 12px;
  line-height: 2;
}
.confirm .view-more {
  text-align: center;
}

.confirmTable {
  width: 100%;
}
.confirmTable tr {
  display: grid;
  grid-template-columns: 210px 1fr;
  gap: 76px;
  align-items: center;
  padding-bottom: 16px;
  border-bottom: 1px solid #CE040E;
  margin-bottom: 40px;
}
@media screen and (max-width: 768px) {
  .confirmTable tr {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    gap: 10px;
  }
}
.confirmTable tr:nth-last-of-type(1) {
  display: none;
}
.confirmTable tr:nth-last-of-type(2) {
  border-bottom: none;
}
.confirmTable tr:nth-last-of-type(2) td {
  text-align: justify;
  overflow: hidden;
  white-space: pre-wrap;
  line-height: 2;
}
.confirmTable th {
  font-size: 20px;
  font-weight: bold;
  color: #CE040E;
  text-align-last: left;
}
.confirmTable td {
  font-size: 16px;
  font-weight: bold;
  word-wrap: break-word;
}

.confirm-error__content {
  max-width: 70%;
  margin: 0 auto;
}
@media screen and (max-width: 768px) {
  .confirm-error__content {
    max-width: 100%;
  }
}
.confirm-error__content .view-more {
  text-align: center;
}